List all industry subcategories

List industry subcategories with their parent category details, supporting cursor-based pagination and sorting by category or subcategory name. Each subcategory is identified by a UUID and includes NAICS codes. Used during entity setup to select an industry classification. Token scopes: legal-entity:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitintegerOptional>=1
Maximum number of items to return per page.
orderenumOptionalDefaults to ASC
Sorting order of the results.
Allowed values:
sort_byenumOptionalDefaults to categoryName
Field used to sort the results.
Allowed values:
cursorstringOptional
Cursor used for paginating to the next page of results.

Response

List of industry subcategories.
datalist of objects
List of industry subcategories.
has_moreboolean
Indicates if there are more results available.
next_cursorstring or null
Cursor to fetch the next page of results.
total_countinteger
Total number of results matching the query.

Errors